#!/bin/bash -e

sleep 5

echo "[server-startup] Starting java application"
cd /opt/vmware/heaps
set +e
set -x

#############
# run app #
#############
JAVA_ARGS="-XX:+HeapDumpOnOutOfMemoryError -XX:+ExitOnOutOfMemoryError
     -XX:HeapDumpPath=/opt/vmware/heaps"

java $JAVA_ARGS -jar $SVC_HOME/externalservices.jar server $SVC_HOME/config.yaml

status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
